/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#include "utils.h"

namespace mirai
{
bool isDate(const std::string &dateStr)
{
	std::regex regex("[0-9]{4}-[0-9]{2}-[0-9]{2}");
	return std::regex_match(dateStr, regex);
}
} // namespace mirai
