/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

import QtQuick
import QtQuick.Controls
import Mirai

ComboBox {
	id: control

	contentItem: AppText {
		anchors.fill: parent
		text: control.currentText
		verticalAlignment: Text.AlignVCenter
        leftPadding: 10
	}
	
	background: Rectangle {
		implicitWidth: 200
        implicitHeight: 32
		color: MiraiColorPalette.fieldBackground
		radius: 4
	}
}
